
/* This is Os.UtilsR.Ext.Inc */

WeNeedEmulator: PROCEDURE BOOLEAN EXTERNAL;
  END;

GetMsDosProgramSegment: PROCEDURE SELECTOR EXTERNAL;
  END;

GetNumMsDosDevices: PROCEDURE WORD EXTERNAL;
  END;

GetNumCharacterDevs: PROCEDURE (pNumCharDevs, pNumMsDosDevs) PTR EXTERNAL;
  DCL pNumCharDevs    PTR;
  DCL pNumMsDosDevs   PTR;
  END;

GetNumFloppies: PROCEDURE WORD EXTERNAL;
  END;

GetNumHardDisks: PROCEDURE WORD EXTERNAL;
  END;

DriveIsValid: PROCEDURE (drive) BOOLEAN EXTERNAL;
  DCL drive    BYTE;
  END;

ReadPageZero: PROCEDURE (drive, pBuffer) WORD EXTERNAL;
  DCL drive      BYTE;
  DCL pBuffer    PTR;
  END;

GetTime: PROCEDURE (pTime) EXTERNAL;
  DCL pTime  PTR;
  END;

SetTime: PROCEDURE (pTime) EXTERNAL;
  DCL pTime  PTR;
  END;

ClearScreenAlpha: PROCEDURE EXTERNAL;
  END;

ClearMessage: PROCEDURE EXTERNAL;
  END;

DisplayMessage: PROCEDURE (pMsg) EXTERNAL;
  DCL pMsg PTR;
  END;

AppendCurDir: PROCEDURE (devNum, pPath) EXTERNAL;
  DCL devNum BYTE;
  DCL pPath  PTR;
  END;
